### Hierarchy

- BaseAPI
  - BNSApi

### Implements

- BNSApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- fetchZoneFile
- fetchZoneFileRaw
- getAllNames
- getAllNamesRaw
- getAllNamespaces
- getAllNamespacesRaw
- getAllSubdomains
- getAllSubdomainsRaw
- getHistoricalZoneFile
- getHistoricalZoneFileRaw
- getNameHistory
- getNameHistoryRaw
- getNameInfo
- getNameInfoRaw
- getNamePrice
- getNamePriceRaw
- getNamesOwnedByAddress
- getNamesOwnedByAddressRaw
- getNamespaceNames
- getNamespaceNamesRaw
- getNamespacePrice
- getNamespacePriceRaw
- getSubdomainAtTransaction
- getSubdomainAtTransactionRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new BNSApi(configuration?: Configuration ): BNSApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns BNSApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### fetchZoneFile

- fetchZoneFile(requestParameters: FetchZoneFileRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of BNSApiInterface.fetchZoneFile

  - Defined in src/generated/apis/BNSApi.ts:324

  Fetch a user’s raw zone file. This only works for RFC-compliant zone files. This method returns an error for names that have non-standard zone files. Fetch Zone File

  #### Parameters

  - ##### requestParameters: FetchZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### fetchZoneFileRaw

- fetchZoneFileRaw(requestParameters: FetchZoneFileRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of BNSApiInterface.fetchZoneFileRaw

  - Defined in src/generated/apis/BNSApi.ts:301

  Fetch a user’s raw zone file. This only works for RFC-compliant zone files. This method returns an error for names that have non-standard zone files. Fetch Zone File

  #### Parameters

  - ##### requestParameters: FetchZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getAllNames

- getAllNames(requestParameters: GetAllNamesRequest, initOverrides?: RequestInit): Promise<string[]>

- Implementation of BNSApiInterface.getAllNames

  - Defined in src/generated/apis/BNSApi.ts:360

  Fetch a list of all names known to the node. Get All Names

  #### Parameters

  - ##### requestParameters: GetAllNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string[]>

### getAllNamesRaw

- getAllNamesRaw(requestParameters: GetAllNamesRequest, initOverrides?: RequestInit): Promise< ApiResponse <string[]>>

- Implementation of BNSApiInterface.getAllNamesRaw

  - Defined in src/generated/apis/BNSApi.ts:333

  Fetch a list of all names known to the node. Get All Names

  #### Parameters

  - ##### requestParameters: GetAllNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string[]>>

### getAllNamespaces

- getAllNamespaces(initOverrides?: RequestInit): Promise< BnsGetAllNamespacesResponse >

- Implementation of BNSApiInterface.getAllNamespaces

  - Defined in src/generated/apis/BNSApi.ts:388

  Fetch a list of all namespaces known to the node. Get All Namespaces

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetAllNamespacesResponse >

### getAllNamespacesRaw

- getAllNamespacesRaw(initOverrides?: RequestInit): Promise< ApiResponse < BnsGetAllNamespacesResponse >>

- Implementation of BNSApiInterface.getAllNamespacesRaw

  - Defined in src/generated/apis/BNSApi.ts:369

  Fetch a list of all namespaces known to the node. Get All Namespaces

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetAllNamespacesResponse >>

### getAllSubdomains

- getAllSubdomains(requestParameters: GetAllSubdomainsRequest, initOverrides?: RequestInit): Promise<string[]>

- Implementation of BNSApiInterface.getAllSubdomains

  - Defined in src/generated/apis/BNSApi.ts:424

  Fetch a list of all subdomains known to the node. Get All Subdomains

  #### Parameters

  - ##### requestParameters: GetAllSubdomainsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string[]>

### getAllSubdomainsRaw

- getAllSubdomainsRaw(requestParameters: GetAllSubdomainsRequest, initOverrides?: RequestInit): Promise< ApiResponse <string[]>>

- Implementation of BNSApiInterface.getAllSubdomainsRaw

  - Defined in src/generated/apis/BNSApi.ts:397

  Fetch a list of all subdomains known to the node. Get All Subdomains

  #### Parameters

  - ##### requestParameters: GetAllSubdomainsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string[]>>

### getHistoricalZoneFile

- getHistoricalZoneFile(requestParameters: GetHistoricalZoneFileRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of BNSApiInterface.getHistoricalZoneFile

  - Defined in src/generated/apis/BNSApi.ts:460

  Fetches the historical zonefile specified by the username and zone hash. Get Historical Zone File

  #### Parameters

  - ##### requestParameters: GetHistoricalZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getHistoricalZoneFileRaw

- getHistoricalZoneFileRaw(requestParameters: GetHistoricalZoneFileRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of BNSApiInterface.getHistoricalZoneFileRaw

  - Defined in src/generated/apis/BNSApi.ts:433

  Fetches the historical zonefile specified by the username and zone hash. Get Historical Zone File

  #### Parameters

  - ##### requestParameters: GetHistoricalZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getNameHistory

- getNameHistory(requestParameters: GetNameHistoryRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of BNSApiInterface.getNameHistory

  - Defined in src/generated/apis/BNSApi.ts:500

  Get a history of all blockchain records of a registered name. Get Name History

  #### Parameters

  - ##### requestParameters: GetNameHistoryRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getNameHistoryRaw

- getNameHistoryRaw(requestParameters: GetNameHistoryRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of BNSApiInterface.getNameHistoryRaw

  - Defined in src/generated/apis/BNSApi.ts:469

  Get a history of all blockchain records of a registered name. Get Name History

  #### Parameters

  - ##### requestParameters: GetNameHistoryRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getNameInfo

- getNameInfo(requestParameters: GetNameInfoRequest, initOverrides?: RequestInit): Promise< BnsGetNameInfoResponse >

- Implementation of BNSApiInterface.getNameInfo

  - Defined in src/generated/apis/BNSApi.ts:530

  Get Name Details

  #### Parameters

  - ##### requestParameters: GetNameInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetNameInfoResponse >

### getNameInfoRaw

- getNameInfoRaw(requestParameters: GetNameInfoRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsGetNameInfoResponse >>

- Implementation of BNSApiInterface.getNameInfoRaw

  - Defined in src/generated/apis/BNSApi.ts:508

  Get Name Details

  #### Parameters

  - ##### requestParameters: GetNameInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetNameInfoResponse >>

### getNamePrice

- getNamePrice(requestParameters: GetNamePriceRequest, initOverrides?: RequestInit): Promise< BnsGetNamePriceResponse >

- Implementation of BNSApiInterface.getNamePrice

  - Defined in src/generated/apis/BNSApi.ts:562

  Get the price of a name. The `amount` given will be in the smallest possible units of the currency. Get Name Price

  #### Parameters

  - ##### requestParameters: GetNamePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetNamePriceResponse >

### getNamePriceRaw

- getNamePriceRaw(requestParameters: GetNamePriceRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsGetNamePriceResponse >>

- Implementation of BNSApiInterface.getNamePriceRaw

  - Defined in src/generated/apis/BNSApi.ts:539

  Get the price of a name. The `amount` given will be in the smallest possible units of the currency. Get Name Price

  #### Parameters

  - ##### requestParameters: GetNamePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetNamePriceResponse >>

### getNamesOwnedByAddress

- getNamesOwnedByAddress(requestParameters: GetNamesOwnedByAddressRequest, initOverrides?: RequestInit): Promise< BnsNamesOwnByAddressResponse >

- Implementation of BNSApiInterface.getNamesOwnedByAddress

  - Defined in src/generated/apis/BNSApi.ts:598

  Retrieves a list of names owned by the address provided. Get Names Owned by Address

  #### Parameters

  - ##### requestParameters: GetNamesOwnedByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsNamesOwnByAddressResponse >

### getNamesOwnedByAddressRaw

- getNamesOwnedByAddressRaw(requestParameters: GetNamesOwnedByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsNamesOwnByAddressResponse >>

- Implementation of BNSApiInterface.getNamesOwnedByAddressRaw

  - Defined in src/generated/apis/BNSApi.ts:571

  Retrieves a list of names owned by the address provided. Get Names Owned by Address

  #### Parameters

  - ##### requestParameters: GetNamesOwnedByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsNamesOwnByAddressResponse >>

### getNamespaceNames

- getNamespaceNames(requestParameters: GetNamespaceNamesRequest, initOverrides?: RequestInit): Promise<string[]>

- Implementation of BNSApiInterface.getNamespaceNames

  - Defined in src/generated/apis/BNSApi.ts:638

  Fetch a list of names from the namespace. Get Namespace Names

  #### Parameters

  - ##### requestParameters: GetNamespaceNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string[]>

### getNamespaceNamesRaw

- getNamespaceNamesRaw(requestParameters: GetNamespaceNamesRequest, initOverrides?: RequestInit): Promise< ApiResponse <string[]>>

- Implementation of BNSApiInterface.getNamespaceNamesRaw

  - Defined in src/generated/apis/BNSApi.ts:607

  Fetch a list of names from the namespace. Get Namespace Names

  #### Parameters

  - ##### requestParameters: GetNamespaceNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string[]>>

### getNamespacePrice

- getNamespacePrice(requestParameters: GetNamespacePriceRequest, initOverrides?: RequestInit): Promise< BnsGetNamespacePriceResponse >

- Implementation of BNSApiInterface.getNamespacePrice

  - Defined in src/generated/apis/BNSApi.ts:670

  Get the price of a namespace. The `amount` given will be in the smallest possible units of the currency. Get Namespace Price

  #### Parameters

  - ##### requestParameters: GetNamespacePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetNamespacePriceResponse >

### getNamespacePriceRaw

- getNamespacePriceRaw(requestParameters: GetNamespacePriceRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsGetNamespacePriceResponse >>

- Implementation of BNSApiInterface.getNamespacePriceRaw

  - Defined in src/generated/apis/BNSApi.ts:647

  Get the price of a namespace. The `amount` given will be in the smallest possible units of the currency. Get Namespace Price

  #### Parameters

  - ##### requestParameters: GetNamespacePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetNamespacePriceResponse >>

### getSubdomainAtTransaction

- getSubdomainAtTransaction(requestParameters: GetSubdomainAtTransactionRequest, initOverrides?: RequestInit): Promise< InlineResponse200 []>

- Implementation of BNSApiInterface.getSubdomainAtTransaction

  - Defined in src/generated/apis/BNSApi.ts:702

  Fetches the list of subdomain operations processed by a given transaction. The returned array includes subdomain operations that have not yet been accepted as part of any subdomain’s history (checkable via the accepted field). If the given transaction ID does not correspond to a Blockstack transaction that introduced new subdomain operations, and empty array will be returned. Get Subdomain at Transaction

  #### Parameters

  - ##### requestParameters: GetSubdomainAtTransactionRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< InlineResponse200 []>

### getSubdomainAtTransactionRaw

- getSubdomainAtTransactionRaw(requestParameters: GetSubdomainAtTransactionRequest, initOverrides?: RequestInit): Promise< ApiResponse < InlineResponse200 []>>

- Implementation of BNSApiInterface.getSubdomainAtTransactionRaw

  - Defined in src/generated/apis/BNSApi.ts:679

  Fetches the list of subdomain operations processed by a given transaction. The returned array includes subdomain operations that have not yet been accepted as part of any subdomain’s history (checkable via the accepted field). If the given transaction ID does not correspond to a Blockstack transaction that introduced new subdomain operations, and empty array will be returned. Get Subdomain at Transaction

  #### Parameters

  - ##### requestParameters: GetSubdomainAtTransactionRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < InlineResponse200 []>>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc